NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.MorphMeshTwistBendData Class Reference

Twist and bend deformer data allowing user to morph mesh. More...

Inheritance diagram for NXOpen.Features.MorphMeshTwistBendData:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Types { Cage, CageAndBody }
 Twist and bend type More...
 

Public Member Functions

unsafe void Enable ()
 Enables the twist and bend data for further deformations. More...
 
unsafe void ResetToCage ()
 Resets the cage size and orientation based on selected body. More...
 
unsafe void UpdateCageAndBody ()
 Set necessary builder data. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression BendAngle [get]
 Returns the bend angle More...
 
unsafe NXOpen.Expression BendRadius [get]
 Returns the bend radius More...
 
unsafe int CircularSegments [get, set]
 Returns or sets the circular segments More...
 
unsafe int FalloffPercentage [get, set]
 Returns or sets the falloff distance More...
 
unsafe NXOpen.Expression Height [get]
 Returns the height More...
 
unsafe int LinearSegments [get, set]
 Returns or sets the linear segments More...
 
unsafe NXOpen.SelectNXObjectList MeshBodies [get]
 Returns the mesh bodies. More...
 
unsafe NXOpen.Expression PivotPointLocation [get]
 Returns the pivot point location More...
 
unsafe NXOpen.Expression Size [get]
 Returns the size More...
 
unsafe
NXOpen.GeometricUtilities.TransformerData 
Transformer [get]
 Returns the transformation tool More...
 
unsafe NXOpen.Expression TwistAngle [get]
 Returns the twist angle More...
 
unsafe
NXOpen.Features.MorphMeshTwistBendData.Types 
Type [get, set]
 Returns or sets the type More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Twist and bend deformer data allowing user to morph mesh.

To create a new instance of this class, use NXOpen.Features.MorphMeshCollection.CreateMorphMeshTwistBendData

Default values.

Property Value

CircularSegments

4

FalloffPercentage

25

LinearSegments

10

Created in NX1872.0.0

Member Enumeration Documentation

Twist and bend type

Enumerator
Cage 

Morph cage only

CageAndBody 

Morph cage and body

Member Function Documentation

unsafe void NXOpen.Features.MorphMeshTwistBendData.Enable ( )
inline

Enables the twist and bend data for further deformations.

User needs to enable the data before doing any parameter changes for the deformation purposes.

Created in NX1872.0.0

License requirements: nx_polygon_modeling (" NX Polygon Modeling")

unsafe void NXOpen.Features.MorphMeshTwistBendData.ResetToCage ( )
inline

Resets the cage size and orientation based on selected body.

Created in NX1872.0.0

License requirements: nx_polygon_modeling (" NX Polygon Modeling")

unsafe void NXOpen.Features.MorphMeshTwistBendData.UpdateCageAndBody ( )
inline

Set necessary builder data.

This API is used to record morphing related data after transforming cage.

Created in NX1872.0.0

License requirements: nx_polygon_modeling (" NX Polygon Modeling")

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.MorphMeshTwistBendData.BendAngle
get

Returns the bend angle

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.MorphMeshTwistBendData.BendRadius
get

Returns the bend radius

Created in NX1872.0.0

License requirements: None.

unsafe int NXOpen.Features.MorphMeshTwistBendData.CircularSegments
getset

Returns or sets the circular segments

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe int NXOpen.Features.MorphMeshTwistBendData.FalloffPercentage
getset

Returns or sets the falloff distance

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.Expression NXOpen.Features.MorphMeshTwistBendData.Height
get

Returns the height

Created in NX1872.0.0

License requirements: None.

unsafe int NXOpen.Features.MorphMeshTwistBendData.LinearSegments
getset

Returns or sets the linear segments

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.SelectNXObjectList NXOpen.Features.MorphMeshTwistBendData.MeshBodies
get

Returns the mesh bodies.

The cage of will enclose the selected mesh bodies

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.MorphMeshTwistBendData.PivotPointLocation
get

Returns the pivot point location

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.MorphMeshTwistBendData.Size
get

Returns the size

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.TransformerData NXOpen.Features.MorphMeshTwistBendData.Transformer
get

Returns the transformation tool

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.MorphMeshTwistBendData.TwistAngle
get

Returns the twist angle

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Features.MorphMeshTwistBendData.Types NXOpen.Features.MorphMeshTwistBendData.Type
getset

Returns or sets the type

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.